import request from '@/axios';

export const getAllList = (params,page) => {
	let data = {}
	if(page){
		data={
		  ...params,
		  current:page.currentPage,
		  size:page.pageSize,
		}
	}else{
		data=params
	}
  return request({
    url: '/sf/operationTechnicalData/list',
    method: 'get',
		params: data
  })
}

export const getList = (page, params) => {
  return request({
    url: '/sf/operationTechnicalData/page',
    method: 'get',
    params: {
      ...params,
      current:page.currentPage,
      size:page.pageSize,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/sf/operationTechnicalData/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const add = (row) => {
  return request({
    url: '/sf/operationTechnicalData/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/sf/operationTechnicalData/update',
    method: 'post',
    data: row
  })
}

export const remove = (ids) => {
  return request({
    url: '/sf/operationTechnicalData/remove',
    method: 'post',
    params: {
      ids:ids,
    }
  })
}
